Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
New Developer
tushar886
Posts: 75
Registered: ‎08-15-2013
My Device: blackberry curve 9630
My Carrier: Airtel

ldd:FATAL: Could not load library libbbcascades.so.1

Hi All,

 

I am using QNX momentics IDE for development and Blackberry 10 simulator for running the application.

 

When i run the application it gives error as:-

 

ldd:FATAL: Could not load library libbbcascades.so.1

 

I am using  Momentics IDe version 2.0

Blackberry Native SDK is installed in it with version 1.0 

 

I serached on forums got the link :-  http://supportforums.blackberry.com/t5/Native-Development/fail-to-launch-app-on-playbook/m-p/1550779...

 

This link tell solution for Blackberry Playbook but i am using blackberry simulator.

 

Thanks & Regards

Please use plain text.
Administrator
MSohm
Posts: 14,517
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: ldd:FATAL: Could not load library libbbcascades.so.1

Make sure that the BlackBerry Native SDK you are using is lower than or equal to the version of BlackBerry 10 Simulator you are running.  Also double check that you are using a simulator configuration and not running a device or release BAR file in the simulator.  A device uses an ARM binary while the simulator uses x86.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.